import request from '@/utils/request'

// 查询项目报价--服务工艺列表
export function listQuoteCraft(query) {
  return request({
    url: '/system/QuoteCraft/list',
    method: 'get',
    params: query
  })
}

// 查询项目报价--服务工艺详细
export function getQuoteCraft(id) {
  return request({
    url: '/system/QuoteCraft/' + id,
    method: 'get'
  })
}

// 新增项目报价--服务工艺
export function addQuoteCraft(data) {
  return request({
    url: '/system/QuoteCraft',
    method: 'post',
    data: data
  })
}

// 修改项目报价--服务工艺
export function updateQuoteCraft(data) {
  return request({
    url: '/system/QuoteCraft',
    method: 'put',
    data: data
  })
}

// 删除项目报价--服务工艺
export function delQuoteCraft(id) {
  return request({
    url: '/system/QuoteCraft/' + id,
    method: 'delete'
  })
}
